.text-primary {
    color: #6f78ec!important;
}

.text-success {
    color: #6dd5da!important;
}

.text-light {
    color: #fafaff!important;
}

.text-light2{
    color: #f6f7ff!important;
}

.text-dark {
    color: #3a3f7d!important;
}

.text-dark-q{
    color: #2e336d!important;
}


/*----- Alerts style -----*/
.alert-primary {
    color: #fff;
    background-color: #6f78ec;
    border-color: #6f78ec;
}

.alert-secondary {
    color: #fff;
    background-color: #5b61a2;
    border-color: #5b61a2;
}

.alert-success {
    color: #fff;
    background-color: #6dd5da;
    border-color: #6dd5da;
}

.alert-info {
    color: #fff;
    background-color: #a3aef7;
    border-color: #a3aef7;
}

.alert-light {
    color: #2b354f;
    background-color: #f6f7ff;
    border-color: #f6f7ff;
}

.alert-dark {
    color: #fff;
    background-color: #23264c;
    border-color: #23264c;
}

/*----- Buttons style -----*/
.btn-primary {
    color: #fff;
    background-color: #6f78ec;
    border-color: #6f78ec;
    box-shadow: none;
}

.btn-primary:hover {
    color: #fff;
    background-color: #636bd0;
    border-color: #636bd0;
}

.btn-primary:not(:disabled):not(.disabled).active, .btn-primary:not(:disabled):not(.disabled):active, .show>.btn-primary.dropdown-toggle {
    color: #fff;
    background-color: #636bd0;
    border-color: #636bd0;
}

.btn-secondary {
    color: #fff;
    background-color: #5b61a2;
    border-color: #5b61a2;
    box-shadow: none;
}

.btn-secondary:hover {
    color: #fff;
    background-color: #4b508a;
    border-color: #4b508a;
}

.btn-warning {
    color: #ffffff;
    background-color: #fad776;
    border-color: #fad776;
    box-shadow: none;
}

.btn-warning:hover {
    color: #ffffff;
    background-color: #f9cc51;
    border-color: #f8c945;
}

.btn-success {
    color: #fff;
    background-color: #6dd5da;
    border-color: #6dd5da;
    box-shadow: none;
}

.btn-success:hover {
    color: #fff;
    background-color: #449ca0;
    border-color: #449ca0;
}

.btn-info {
    color: #fff;
    background-color: #a3aef7;
    border-color: #a3aef7;
    box-shadow: none;
}

.btn-info:hover {
    color: #fff;
    background-color: #7b89e6;
    border-color: #7b89e6;
}

.btn-light{
    color: #2b354f;
    background-color: #f6f7ff;
    border-color: #f6f7ff;
}

.btn-light:hover {
    color: #2b354f;
    background-color: #e1e3f5;
    border-color: #e1e3f5;
}

.btn-link {
    font-weight: 400;
    color: #6f78ec;
    text-decoration: none;
}

.btn-link:hover {
    color: #636bd0;
    text-decoration: underline;
}

.btn-outline-primary {
    color: #636bd0;
    border-color: #636bd0;
}

.btn-outline-primary:hover {
    color: #fff;
    background-color: #636bd0;
    border-color: #636bd0;
}

.btn-outline-secondary {
    color: #5b61a2;
    border-color: #5b61a2;
}

.btn-outline-secondary:hover {
    color: #fff;
    background-color: #5b61a2;
    border-color: #5b61a2;
}

.btn-outline-success {
    color: #6dd5da;
    border-color: #6dd5da;
}

.btn-outline-success:hover {
    color: #fff;
    background-color: #64c4c9;
    border-color: #64c4c9;
}

.btn-outline-warning:hover {
    color: #ffffff;
    background-color: #fad776;
    border-color: #fad776;
}

.btn-outline-info {
    color: #a3aef7;
    border-color: #a3aef7;
}

.btn-outline-info:hover {
    color: #fff;
    background-color: #a3aef7;
    border-color: #a3aef7;
}

.btn-outline-light {
    color: #e1e3f5;
    border-color: #e1e3f5;
}

.btn-outline-light:hover {
    color: #2b354f;
    background-color: #f6f7ff;
    border-color: #f6f7ff;
}

/*----- Buttons Soft style -----*/

.btn-primary-soft {
    background-color: rgb(111, 120, 236, .1)
    color: #6f78ec;
}


.btn-primary-soft:hover {
    background-color: rgb(111, 120, 236, .15)
    color: #6f78ec;
}

.btn-secondary-soft {
    background-color: rgb(91, 97, 162, .1);
    color: #5b61a2;
}

.btn-secondary-soft:hover {
    background-color: rgb(91, 97, 162, .15);
    color: #5b61a2;
}

.btn-success-soft {
    background-color: rgb(100, 196, 201, .1);
    color: #64c4c9;
}

.btn-success-soft:hover {
    background-color: rgb(100, 196, 201, .15);
    color: #64c4c9;
}

.btn-info-soft {
    background-color: rgb(163, 174, 247, .1);
    color: #a3aef7;
}

.btn-info-soft:hover {
    background-color: rgb(163, 174, 247, .15);
    color: #a3aef7;
}

/*----- Links style -----*/

a:hover {
    color: #636bd0;
    text-decoration: underline;
}

/*----- Background style -----*/

.bg-primary{background-color: #6f78ec!important;
}

.bg-dark-q{background-color: #2e336d!important}

.bg-black {
    background-color: #23264c!important;
}

.bg-gray-800 {
    background-color: #3a3f7d!important;
}

.bg-gray-300 {
    background-color: #c1c6f1!important;
}

.bg-gray-200 {
    background-color: #f6f7ff!important;
}

.bg-gradient-light {
    background-image: linear-gradient(to bottom,#fafaff 0,#fff 100%);
}

/*----- Overlay style -----*/

.overlay-black::before {
    background-color: #23264c;
}

.overlay-primary::before {
    background-color: #6f78ec;
}

/*----- Avatar style -----*/
.avatar-online::before {
    background-color: #64c4c9;
}

.avatar-title {
    display: flex;
    align-items: center;
    justify-content: center;
    width: 100%;
    height: 100%;
    background-color: #a3aef7;
    color: #fff;
}

/*----- Badges style -----*/

.badge-primary {
    color: #fff;
    background-color: #6f78ec;
}

.badge-secondary {
    color: #fff;
    background-color: #5b61a2;
}

.badge-success {
    color: #fff;
    background-color: #6dd5da;
}

.badge-warning {
    color: #23264c;
    background-color: #fad776;
}

.badge-info {
    color: #fff;
    background-color: #a3aef7;
}
.badge-light {
    color: #2b354f;
    background-color: #f6f7ff;
}

.badge-dark {
    color: #fff;
    background-color: #23264c;
}

.badge-primary-soft {
    background-color: rgb(111, 120, 236, .1)
    color: #6f78ec;
}

.badge-secondary-soft {
    background-color: rgb(91, 97, 162, .1);
    color: #5b61a2;
}

.badge-success-soft {
    background-color: rgb(100, 196, 201, .1);
    color: #64c4c9;
}

.badge-info-soft {
    background-color: rgb(163, 174, 247, .1);
    color: #a3aef7;
}

/*----- Navbar style -----*/
.navbar-light .navbar-nav .nav-link:focus, .navbar-light .navbar-nav .nav-link:hover {
    color: #6f78ec;
}